# Filename: selection_get_object.py
# Purpose: Gets an object from the selection by index.
# Returns: Object.

from maptek import vulcan_gui

# select layer non-interactively
sel = vulcan_gui.selection('Select Object')
obj = sel.get_object(0) # pass index of layer object

# do something after selection...
print(obj)